package Cliente.Transformacional;
import CWMTransformation.*;
import CWMTransformationImpl.*;
import Core.*;
import CoreImpl.*;

import org.omg.CORBA.ORB;
import Cliente.Util.IorUtils;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

public class ManejoPackage {

  public ManejoPackage() {
  }

  public static TransformationStep findStep(String name,TransformationStep [] all)
    throws Reflective.MofError{
    int cant = (all!=null) ? all.length : 0;
    for (int i=0; i<cant; i++){
      if (all[i].name().equals(name))
        return all[i];
    }
    return null;
  }
  public static Transformation crearTransformacion(
                                  String nombre,
                                  VisibilityKind visibilidad,
                                  ProcedureExpression procedureExpression,
                                  String descripcionFuncion,
                                  boolean esPrimaria,
                                  _CWMTransformationPackage pkg)
                                  throws Reflective.MofError{


      return pkg.transformation_ref().create_transformation(
                              nombre,
                              visibilidad,
                              procedureExpression,
                              descripcionFuncion,
                              esPrimaria);
  }


  public static DataObjectSet crearDataObject(String nombre,
                                    VisibilityKind visibilidad,
                                    _CWMTransformationPackage pkg)
                                    throws Reflective.MofError{
     return pkg.data_object_set_ref().create_data_object_set(
                  nombre,visibilidad);
  }

}