package Cliente.Util;

import CWMTransformation.*;
import CWMTransformationImpl.*;
import Core.*;
import CoreImpl.*;
import Cliente.Transformacional.ManejoPackage;

import org.omg.CORBA.ORB;
import Cliente.Util.IorUtils;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:
 * @author
 * @version 1.0
 */

public class PrintUtil {

  public static void PrintPackageTransformacional2(_CWMTransformationPackage pkg)
    throws Reflective.MofError {

    ModelElement [] allStep;
    TransformationTask task;

    TransformationStep [] allStepPakg;
    TransformationActivity [] allTransfAct =
      pkg.transformation_activity_ref().all_of_type_transformation_activity();
    Debug("-------------------------------------------------------------- ");
    for (int act=0; act<allTransfAct.length; act++){
      Debug("Transformation activity");
      Debug("   name:" + allTransfAct[act].name());
      Debug("   create date:" + allTransfAct[act].creation_date());
      allStep = ( ModelElement []) (allTransfAct[act].owned_element());
      int cant = allStep.length;
       for (int istep=0; istep<cant; istep++){
        Debug("     Step:" + allStep[istep].name());


      }

    }

    allStepPakg = pkg.transformation_step_ref().all_of_type_transformation_step();
    Debug("-------------------------------------------------------------- ");
    int cant = allStepPakg.length;
     for (int istep=0; istep<cant; istep++){
      Debug("     Step:" + allStepPakg[istep].name());
    }
    Debug("-------------------------------------------------------------- ");

    Transformation []allTrans = pkg.transformation_ref().all_of_type_transformation();
    for (int trans=0; trans<allTrans.length; trans++){
      Debug("         Transformation:" + allTrans[trans].name());
      Debug("           Function:");
      Debug("             -description:" + allTrans[trans].function_description());
      Debug("             -body:" + allTrans[trans].function().body());
    }



      DataObjectSet [] allSource = pkg.data_object_set_ref().all_of_type_data_object_set();
      for (int orig=0; orig<allSource.length; orig++){
        Debug("             DataObjectSet:" + allSource[orig].name());
      }

   Debug("-------------------------------------------------------------- ");
  }



  public static void PrintPackageTransformacional(_CWMTransformationPackage pkg)
    throws Reflective.MofError {

    ModelElement [] allStep;
    TransformationTask task;

    TransformationStep [] allStepPakg;
    TransformationActivity [] allTransfAct =
      pkg.transformation_activity_ref().all_of_type_transformation_activity();
    Debug("-------------------------------------------------------------- ");
    for (int act=0; act<allTransfAct.length; act++){
      Debug("Transformation activity");
      Debug("   name:" + allTransfAct[act].name());
      Debug("   create date:" + allTransfAct[act].creation_date());


      allStep = ( ModelElement []) (allTransfAct[act].step());

      allStepPakg = pkg.transformation_step_ref().all_of_type_transformation_step();


      for (int istep=0; istep<allStep.length; istep++){
        String nameStep = allStep[istep].name();
        TransformationStep stepEncontrado = ManejoPackage.findStep(nameStep,allStepPakg);

        Debug("     Step:" + stepEncontrado.name());

        task = stepEncontrado.task();
        Debug("       Task:" + task.name());

        Transformation []allTrans = task.transformation();
        for (int trans=0; trans<allTrans.length; trans++){
          Debug("         Transformation:" + allTrans[trans].name());
          Debug("           Function:");
          Debug("             -description:" + allTrans[trans].function_description());
          Debug("             -body:" + allTrans[trans].function().body());

          DataObjectSet [] allSource = allTrans[trans].source();
          Debug("           Origenes:");
          for (int orig=0; orig<allSource.length; orig++){
            Debug("             DataObjectSet:" + allSource[orig].name());
          }


          DataObjectSet [] allTarget = allTrans[trans].target();
          Debug("           Destinos:");
          for (int targ=0; targ<allTarget.length; targ++){
            Debug("             DataObjectSet:" + allTarget[targ].name());
          }
        }

      }
    }
    Debug("-------------------------------------------------------------- ");
  }



  public static void Debug(String msg){
    System.out.println(msg);
  }

}